# DataExchange
TKSTEP
StepAP203

# StepAP203_ClassifiedItem Class Reference

Representation of STEP SELECT type ClassifiedItem
.

`#include <StepAP203_ClassifiedItem.hxx>`

Inheritance diagram for StepAP203_ClassifiedItem:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepAP203_ClassifiedItem ()
| Empty constructor .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a kind of ClassifiedItem select type 1 -> ProductDefinitionFormation from StepBasic 2 -> AssemblyComponentUsage from StepRepr 0 else .
Standard_EXPORT Handle_StepBasic_ProductDefinitionFormation | ProductDefinitionFormation () const
| Returns Value as ProductDefinitionFormation (or Null if another type) .
Standard_EXPORT Handle_StepRepr_AssemblyComponentUsage | AssemblyComponentUsage () const
| Returns Value as AssemblyComponentUsage (or Null if another type) .

## Constructor & Destructor Documentation

Standard_EXPORT StepAP203_ClassifiedItem::StepAP203_ClassifiedItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepRepr_AssemblyComponentUsage StepAP203_ClassifiedItem::AssemblyComponentUsage | ( |  | ) | const

Standard_EXPORT Standard_Integer StepAP203_ClassifiedItem::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

void StepAP203_ClassifiedItem::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepAP203_ClassifiedItem::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepAP203_ClassifiedItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepBasic_ProductDefinitionFormation StepAP203_ClassifiedItem::ProductDefinitionFormation | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepAP203_ClassifiedItem.hxx